# Feijiang Installer

## 部署前准备

在开始部署之前，请确保您已经获取了产品授权码，并将其添加到 `.env` 文件中：

```
AUTH_CODE=your_auth_code_here  # 替换为你的实际授权码
```

## 部署指南

### 1. Docker 部署（推荐）
使用以下命令启动 Docker 服务：
```bash
sudo docker-compose up -d
```
### 2. 本地部署
#### 已安装 MongoDB
如果 MongoDB 已安装，请更新您的 .env 文件，包含以下配置：
```
MONGO_HOST=127.0.0.1                     # MongoDB 服务器地址
MONGO_PORT=27017                         # MongoDB 服务器端口
MONGO_USERNAME=feijiang                  # MongoDB 数据库用户名
MONGO_PASSWORD=feijiang_mongo_password   # MongoDB 数据库密码
MONGO_DATABASE=feijiang                  # MongoDB 数据库名称
```
更新配置后，启动 Feijiang 服务：
```bash
sudo nohup ./feijiang-admin > feijiang-admin.log &
sudo nohup ./feijiang-vpn > feijiang-vpn.log &
```
#### 未安装 MongoDB
如果 MongoDB 未安装，可以使用 Docker Compose 安装并启动 MongoDB：
```bash
sudo docker-compose -f commons/composes/feijiang-mongo.yaml --env-file .env up -d
```